---
title: "List bulk case creation state"
slug: "list-bulk-case-creation-state"
updated: 2025-04-07T19:32:21Z
published: 2025-04-07T19:32:21Z
canonical: "developers.torq.io/list-bulk-case-creation-state"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developers.torq.io/llms.txt
> Use this file to discover all available pages before exploring further.
# List bulk case creation state
Post/v1alpha/cases/bulk_long_running/query
Returns the states of the provided bulk case creation operations.
SecurityHTTPType bearer
Body parameters
The request for retrieving the states of multiple case creation operations.
object
The request for retrieving the states of multiple case creation operations.
operation_ids Array of string
The IDs of the bulk case creation operations to be tracked.
Example[
"0eedf3f8-7788-4b2f-8ccc-829f03bfe9ab",
"5x6f3f8-7788-4b2f-8ccc-829f03bfe9ab"
]string
Responses200
A successful response.
Expand Allobject
The response for retrieving the states of multiple case creation operations.
operations Array of object (v1BulkCreateOperation)
The information about the operations.
object idstring
The operation ID to track the progress of the bulk creation.
namestring
The operation name.
statestring
The state of the bulk case creation operation.
- BULK_CREATE_STATE_UNSPECIFIED: Default value.
- BULK_CREATE_STATE_PENDING: The operation is currently running.
- BULK_CREATE_STATE_SUCCEEDED: The operation succeeded.
- BULK_CREATE_STATE_FAILED: The operation failed.
Valid values[
"BULK_CREATE_STATE_UNSPECIFIED",
"BULK_CREATE_STATE_PENDING",
"BULK_CREATE_STATE_SUCCEEDED",
"BULK_CREATE_STATE_FAILED"
]Default"BULK_CREATE_STATE_UNSPECIFIED"
api_objectobject (v1BulkCreateCaseResponse)
The response for the bulk case creation operation.
case_ids Array of string
The IDs of the cases created.
string
errorstring
The error response for the bulk case creation operation.
401
Invalid bearer token. If you receive this message more than once try creating a new Client ID/Client Secret or generating a new bearer token.
object
403
You don't have permission to access this resource.
object
default
An unexpected error response.
Expand Allobject codeinteger (int32)
messagestring
details Array of object (protobufAny) object
`Any` contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.
Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.
Example 1: Pack and unpack a message in C++.
Foo foo = ...; Any any; any.PackFrom(foo); ... if (any.UnpackTo(&foo))
Example 2: Pack and unpack a message in Java.
Foo foo = ...; Any any = Any.pack(foo); ... if (any.is(Foo.class))
Example 3: Pack and unpack a message in Python.
foo = Foo(...) any = Any() any.Pack(foo) ... if any.Is(Foo.DESCRIPTOR): any.Unpack(foo) ...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo any, err := anypb.New(foo) if err != nil ... foo := &pb.Foo if err := any.UnmarshalTo(foo); err != nil
The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".
JSON
The JSON representation of an `Any` value uses the regular representation of the deserialized, embedded message, with an additional field `@type` which contains the type URL. Example:
package google.profile; message Person
{ "@type": "type.googleapis.com/google.profile.Person", "firstName": , "lastName": }
If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field `value` which holds the custom JSON in addition to the `@type` field. Example (for message [google.protobuf.Duration][]):
{ "@type": "type.googleapis.com/google.protobuf.Duration", "value": "1.212s" }
@typestring
A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one "/" character. The last segment of the URL's path must represent the fully qualified name of the type (as in `path/google.protobuf.Duration`). The name should be in a canonical form (e.g., leading "." is not accepted).
In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme `http`, `https`, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows:
- If no scheme is provided, `https` is assumed.
- An HTTP GET on the URL must yield a [google.protobuf.Type][]
value in binary format, or produce an error.
- Applications are allowed to cache lookup results based on the
URL, or have them precompiled into a binary to avoid any
lookup. Therefore, binary compatibility needs to be preserved
on changes to types. (Use versioned type names to manage
breaking changes.)
Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com.
Schemes other than `http`, `https` (or the empty scheme) might be used with implementation specific semantics.
property*object additionalProperties